package com.zzsn.utility.model;

/**
 * 搜索引擎Model
 * @author 刘小鹏
 * @date 2015-11-02 14:13
 * @company 郑州数能软件科技有限公司
 */
public class SearchEngines {


		//columns START
	    /**
	     * id       db_column: ID 
	     */ 	
		private Long id;
	    /**
	     * name       db_column: NAME 
	     */ 	
		private String name;
	    /**
	     * ename       db_column: ENAME 
	     */ 	
		private String ename;
	    /**
	     * searchUrl       db_column: SEARCH_URL 
	     */ 	
		private String searchUrl;
	    /**
	     * creatby       db_column: CREATBY 
	     */ 	
		private String creatby;
	    /**
	     * createdate       db_column: CREATEDATE 
	     */ 	
		private String createdate;
	    /**
	     * status       db_column: STATUS 
	     */ 	
		private Integer status;
	    /**
	     * viewstatus
	     */ 	
		private String viewstatus;
		//columns END


		public Long getId() {
			return id;
		}
		public void setId(Long id) {
			this.id = id;
		}
		public String getName() {
			return name;
		}
		public void setName(String name) {
			this.name = name;
		}
		public String getEname() {
			return ename;
		}
		public void setEname(String ename) {
			this.ename = ename;
		}
		public String getSearchUrl() {
			return searchUrl;
		}
		public void setSearchUrl(String searchUrl) {
			this.searchUrl = searchUrl;
		}
		public String getCreatby() {
			return creatby;
		}
		public void setCreatby(String creatby) {
			this.creatby = creatby;
		}
		public String getCreatedate() {
			return createdate;
		}
		public void setCreatedate(String createdate) {
			this.createdate = createdate;
		}
		public Integer getStatus() {
			return status;
		}
		public void setStatus(Integer status) {
			this.status = status;
		}
		public String getViewstatus() {
			return viewstatus;
		}
		public void setViewstatus(String viewstatus) {
			this.viewstatus = viewstatus;
		}

	
}
